Jump to content

All Activity

This stream auto-updates     

  1. Today
  2. steven-g

    owner

    I would still find it interesting to see a response from Autodesk, what you are describing is a completely legitimate use of Autocad, you don't appear to be doing anything that hasn't been covered by the EULA, indeed there are some arguments about what LT stands for, one being 'LapTop' and that it was designed specifically for this use scenario so people could use the program on site and whilst on the move (yes I know you use the full version, the argument is about the fair use of the old version). If Autodesk are now 'incapable' (due to server issues) of supporting your version then they should at the very least release a patch for all older versions disabling the "phone home" features of the program, if it is this that is causing the problem, verification is not a renewed activation. And +1 on rkmcswain's suggestion for BricsCAD in some some ways it isn't even close to AutoCAD it surpasses it, and just for viewing and editing dwg files the free 'BricsCAD Shape' is great (and it also does 3D).
  3. rkmcswain

    owner

    Check out BricsCAD. It's the closest thing to ACAD, much less $$ and still offers what we have to presume to be true perpetual licenses. https://www.bricsys.com/en-us/ @RJL
  4. Try this Working on a update position as a manual approach much easier than using a reactor. Just need to select the entity that is in the field string. ; By alanh 2019 ; uses block with 3 atts _AufMass_FEW ; (defun numblkattnum ( / ss2 obj att ) (setq num 0) (setq ss2 (ssget "x" (list (cons 0 "insert")(cons 2 "_AufMass_FEW")))) (repeat (setq x (sslength ss2)) (setq obj (vlax-ename->vla-object (ssname ss2 (setq x (- x 1))))) (setq att (nth 0 (vlax-invoke obj 'getattributes))) (setq attnum (atoi (vla-get-textstring att))) (if (> attnum num)(setq num attnum)) ) ) (defun c:numblklen ( / oldaunits ss obj len ang dist stpt endpt val1 val2 attnum) (setq oldaunits (getvar 'aunits)) (setvar 'aunits 3) (if (= attnum nil)(numblkattnum)) (setq attnum (+ attnum 1)) (setq ss (ssget (list (cons 0 "line")))) (repeat (setq x (sslength ss)) (setq obj (vlax-ename->vla-object (ssname ss (setq x (- x 1))))) (setq stpt (vlax-safearray->list (vlax-variant-value(vla-get-startpoint obj)))) (setq endpt (vlax-safearray->list (vlax-variant-value(vla-get-endpoint obj)))) (setq atlength (strcat "%<\\AcObjProp Object(%<\\_ObjId " (itoa (vla-get-Objectid obj)) ">%).Length>%")) (setq ang (angle stpt endpt)) (setq dist (/ (distance stpt endpt)2.0)) (setq stpt (polar stpt ang dist)) (setq val1 (rtos attnum 2 0)) (command "-insert" "_AufMass_FEW" stpt 1 1 ang "" "" "") (setq obj2 (vlax-ename->vla-object (entlast))) (setq att (vlax-invoke obj2 'getattributes)) (vla-put-textstring (nth 0 att) val1) (vla-put-textstring (nth 1 att) atlength) (setq attnum (1+ attnum)) ) (setvar 'aunits oldaunits) (command "regen") (princ) ) (c:numblklen)
  5. Just copy and paste the code to notepad then save as say numblklen.lsp. Add (c:numblklen) as vary last line then will run 1st time automatically. You can drag and drop from explorer, use Appload or a menu to load. Once loaded can be run again by typing numblklen. Will add the field function. The 1st defun checks the last number used,
  6. Thanks Aftertouch Missed that when I did dumpit so could check type of solid. SolidType (RO) = "Sphere" SolidType (RO) = "Box"
  7. I think we need a lot more detail about what your doing, so your plotting to a sheet size that matches the object at a fixed scale is that right ? Like printing at 1:1 true size. a 100x100mm would go on a A4 sheet a 600x600 mm would go on a A0 sheet.
  8. Yesterday
  9. RJL

    owner

    my autocad is on my laptop and i have used it in hotel rooms and remote offices when travelling. that would usually kick a reverification, and then when i returned home to my home network. it never seemed like a problem and i guess i felt reassured that they were keeping track of my license. i noticed sometimes a note flash across the screen at bootup saying something like "thank you for registering your autodesk product" but it didn't hesitate, just started the program. if it is really dead to me, then i'd like to know so i can explore options. my needs are pretty simple now. i'd like to be able to access my dwg files. i like the way autocad allows text and images to be manipulated. i don't need 3D capabilities. i was thinking about checking out LibreCAD. i'm open to suggestions. thanks.
  10. Thanks for the video, talk about what I would like to solve and that is to have to create each time a "sheet" of the same size as the print area I select... For the physical plotter I created a single sheet as high as the paper roll and 3m long...in the plotter settings there is the option to print only the inked area so with a single sheet I can make us practically all the prints I need without wasting paper. I select the print area I select the plotter I select the only sheet that I can always go well without taking measurements I print Why isn't it possible with PDF printing and every time I have to make a special virtual sheet to get a borderless print? Regards
  11. Jim Clayton

    Match block to desired size

    You're welcome.
  12. notredave

    Match block to desired size

    Thank you very much for all the explanations Jim. I appreciate it.
  13. Jim Clayton

    Match block to desired size

    OK. talking to myself here. I think this might be user error. The two blocks on the attached are already at the same scale 1:1. Pick either one and scale it up x3. Then run the lisp. You see what I'm talking about. it's not a scaling issue necessarily, it's a sizing issue. They're both at 1:1 scale already so you're trying to match something at the same scale. You're wanting to re-size a block to match another block. Not sure how to do that.
  14. Jim Clayton

    Match block to desired size

    Well I might be wrong because the two blocks are scaling off of other blocks, just not each other...so for some reason, they aren't cooperating together.
  15. Jim Clayton

    Match block to desired size

    Someone else will probably have to give their thoughts on how to fix this, but I ran some super complicated experiments and found that if the Lisp works if you're trying to Match Block Scale to the same block, but not two different blocks. So if you had two of the same block that were different sizes, you can run the lisp and match the scale. For whatever reason it's not matching in between blocks though. As for how to fix that, I don't know. Cadforum folks, any thoughts?
  16. notredave

    Match block to desired size

    Gents, Good morning, what I'm I doing wrong??? I am using Jim's, Matchblockscale.lsp posted above but my attached drawing isn't matching. I need power block on left to scale to rectang block on right, keeping circles, etc to proportion. If someone can take a look at this and tell me what's going on with this, I would appreciate it. Thank you, David POWER BLOCK.dwg
  17. Cad64

    Hardwaree requirements

    Honestly, I've never used the viewcube for anything. In fact, I have it disabled so I don't even see it. When I need to orbit around a model I would select a part of it and then hold down Shift and middle mouse to orbit around. When you select an item, it isolates it during orbit so that's probably why it works better without freezing up to calculate all the other various parts of the model.
  18. rkmcswain

    owner

    I'm very, very interested in this too. As you said Steven, why would it need verification for the same user/host combo? It's a perpetual license, right? I've seen multiple reports like this since the end of August. An Autodesk employee has said since this time, that there is no way that Autodesk is remotely killing these old versions (and forcing them to try and re-activate, which fails of course...), but it sure is interesting how many people I've heard of in this same boat. I suppose it's possible, that this "phone home/verify every few months" has been in these old versions forever and it was just not noticed by many users, but you have to wonder, given Autodesk's recent boldness, are they technically able to remotely kill an activation? And if so, would they do this? @RJL - Autodesk's new business model is to get all customers on rental, paying them an annual fee to use the software. I would think they would let old versions like yours die off due to hardware and O/S upgrades, but it's looking more and more like the grand plan to get *everyone* on rental is moving forward with no road blocks and damn the torpedoes.
  19. Hello Tombu, I do not use layer groups. I am using Acad group created with the command group. These groups are assigned specific layers. I hope that the Gogle translator translates that correctly! best regards Martin
  20. You should add what vertical software you're using like Architectural or Mechanical since layer groups don't exist in AutoCAD.
  21. Hi Bigal, again, thank you. "The code has two defuns and both must be loaded." I'm sorry, but I don't know how to load the two defuns. "except have to add flip block for readability as I already said." For readability of text, for me it is not so important, because I need the output in excel. "Second question is do you change the shape so want a true field expression so will update length." And yes, I need a field for the length. Meanwhile, I try to understand how to load defuns, and If someone who read this thread could explain how to load defuns, I'll appreciate it. Cheers, Davide
  22. bruce13557

    Hardwaree requirements

    I have noticed that if I select an item then change view using the view cube the new view is ready in a couple of seconds. If I simply change the view using the view cube it can take 1.5 minutes for the view to be ready. If I use the view manager the change is almost instantaneous.
  23. Find and correctly map wrong layers in ACAD group Hi, I have a problem with layers grouped in Acad groups. These layers are partially in the wrong group. Short description: There are several groups in my drawing in which different layers have to be grouped uniformly. Certain groups must contain specific layers. For example, a group includes layers that are somewhere in the layer name "Layer 1". There is no layer in the drawing that does not belong to a group. There must be no nested groups. For example, in: Group A will be all Layer 1. In group B all Layer 2. In group C all layers 3. etc....... However, it can happen that a wrong layer or several wrong layers were mistakenly assigned to a group. How can I find the wrong layers in the groups and remove them from the groups and then the right one Assign groups? A solution would be a great help. Martin Beispielzeichnung.dwg
  24. Aftertouch

    LISP - select objects of specific type

    Actualy there is. (vla-get-SolidType (vlax-ename->vla-object (car (entsel)))) returns : 'Sphere'
  25. Once you use "sphere" the object now becomes a "solid" "AcDb3dSolid" its just a command to make a certain shape.You can not tell its a ball.
  26. BIGAL

    HelpME .. How can I convert list

    Looking at image a "\\p" on end would make table look better.
  1. Load more activity
  • Newsletter

    Want to keep up to date with all our latest news and information?
    Sign Up
×
×
  • Create New...